LibreOffice LibreOffice 26.2 SDK API Reference

Variables
com::sun::star::i18n::BreakType Constant Group Referencepublished

Constants to specify the type of a line break, used with LineBreakResults::breakType(). More...

## Variables
const short | WORDBOUNDARY = 1
| Line break is a word break. More...
const short | HYPHENATION = 2
| Line break is a result of hyphenation. More...
const short | HANGINGPUNCTUATION = 3
| Line break - hanging punctuation recognized. More...

## Detailed Description

Constants to specify the type of a line break, used with LineBreakResults::breakType().

## Variable Documentation

## ◆ HANGINGPUNCTUATION

const short HANGINGPUNCTUATION = 3

Line break - hanging punctuation recognized.

## ◆ HYPHENATION

const short HYPHENATION = 2

Line break is a result of hyphenation.

## ◆ WORDBOUNDARY

const short WORDBOUNDARY = 1

Line break is a word break.